def.h File Reference
`#include "lwip/arch.h"`
`#include "lwip/opt.h"`

## Macros

#define | LWIP_MAKEU32(a, b, c, d)

## Functions

u16_t | lwip_htons (u16_t x)
u32_t | lwip_htonl (u32_t x)
void | lwip_itoa (char *result, size_t bufsize, int number)
int | lwip_strnicmp (const char *str1, const char *str2, size_t len)
int | lwip_stricmp (const char *str1, const char *str2)
char * | lwip_strnstr (const char *buffer, const char *token, size_t n)
char * | lwip_strnistr (const char *buffer, const char *token, size_t n)
int | lwip_memcmp_consttime (const void *s1, const void *s2, size_t len)

## Detailed Description

various utility macros

## Macro Definition Documentation

## LWIP_MAKEU32

#define LWIP_MAKEU32 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  |

Value:
(((u32_t)((a) & 0xff) << 24) | \
((u32_t)((b) & 0xff) << 16) | \
((u32_t)((c) & 0xff) << 8) | \
(u32_t)((d) & 0xff))

Create u32_t value from bytes

## Function Documentation

## lwip_htonl()

u32_t lwip_htonl | ( | u32_t | n | ) |

Convert an u32_t from host- to network byte order.

Parameters

  n | u32_t in host byte order

Returns
  n in network byte order

## lwip_htons()

u16_t lwip_htons | ( | u16_t | n | ) |

Convert an u16_t from host- to network byte order.

Parameters

  n | u16_t in host byte order

Returns
  n in network byte order